postifx , db compat mode,

Michael Labuschke michael at labuschke.de
Sun May 16 09:35:39 PDT 2004


Hi,

I'm using belfs, but this is not related to it (at least not directly).
When installing postfix 2.1.1 i got some unresolved symbols:

undefined reference to `pthread_condattr_setpshared'
undefined reference to `pthread_mutexattr_destroy'
undefined reference to `pthread_mutexattr_init'
undefined reference to `pthread_mutex_trylock'

after some googline I found:

http://www.postfix.org/DB_README.html

so I added 

make makefiles AUXLIBS="-lpthread"

before make .. that fixed it ( maybe it should, could be added to blfs
instructions.

The more important part is:

Warning: if you use Berkeley DB version 2 or later, do not enable DB 1.85
compatibility mode. Doing so would break fcntl file locking.

Blfs install instructions say for DB say

--enable-compat185

I'm not sure if that is something wrong. Just want to drop a note.
Michael

P.S. I know this is lfs-dev not blfs-dev but I'm not subscribed to that and
I think most of blfs-dev users are subscribed to this list too ( I hope).
So sorry for that.




More information about the lfs-dev mailing list